function init()
	-- NAME & GRAPHIC --
	c.name = "Barnacle"
	c.gfxFile = "barnacle.png"
	c.hitScale = 1.5

	-- STATS --
	c.mass = 80
	c.stat.thrust = 0
	c.stat.maxSpeed = 40
	c.stat.turnRate = 0
	c.stat.armour = 64
	
	-- MISC --
	c.add_item("point", 32)
	
	c.add_dropship("Mite")
	c.add_dropship("Mite")
	c.add_dropship("Mite")
	c.add_dropship("Mite")
	c.add_dropship("Mite")
	c.add_dropship("Mite")
	
	c.bio = 1
	c.minimap = 1--hidden from minimap
	c.material = 2--gib debris
	c.setExplodeSound("explode_rock.wav")
	c.desc = "It's like a treasure hunt! Only at the end there are teeth."
	c.behavior = "barnacle"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 6	--from map_icons.png, which frame to use.
	return 0
end